Bug 1027383 - Review Request: gfal2-util - GFAL2 utility tools
Review Request: gfal2-util - GFAL2 utility tools
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mattias Ellert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-06 12:11 EST by Adrien Devresse
Modified: 2014-01-08 02:54 EST (History)
2 users (show)

See Also:
Fixed In Version: gfal2-util-0.2.1-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-13 10:57:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mattias.ellert: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Adrien Devresse 2013-11-06 12:11:23 EST
Spec URL: http://grid-deployment.web.cern.ch/grid-deployment/dms/lcgutil/reviews/gfal2-util.spec
SRPM URL: http://grid-deployment.web.cern.ch/grid-deployment/dms/lcgutil/reviews/gfal2-util-0.2.0-1.el6.src.rpm
Description: gfal2-util is a set of basic utility tools for file 
interactions and file copy based on the GFAL 2.0 toolkit.
gfal2-util supports the protocols of GFAL 2.0 : WebDav(s),
 gridFTP, http(s), SRM, xrootd, etc...
Fedora Account System Username: adev


Built :

Rawhide 
 http://koji.fedoraproject.org/koji/taskinfo?taskID=6145036

EL6 :
 http://koji.fedoraproject.org/koji/taskinfo?taskID=6145054


rpmlint : 
rpmlint /var/lib/mock/epel-6-and-continuous-x86_64/result/*.rpm
gfal2-util.noarch: W: spelling-error %description -l en_US gfal -> gal, goal, fall
gfal2-util.noarch: W: spelling-error %description -l en_US gridFTP -> grid Ftp, grid-ftp, griddle
gfal2-util.noarch: W: spelling-error %description -l en_US http -> HTTP
gfal2-util.noarch: W: spelling-error %description -l en_US xrootd -> uproot, rooter, cheroot
gfal2-util.src: W: spelling-error %description -l en_US gfal -> gal, goal, fall
gfal2-util.src: W: spelling-error %description -l en_US gridFTP -> grid Ftp, grid-ftp, griddle
gfal2-util.src: W: spelling-error %description -l en_US http -> HTTP
gfal2-util.src: W: spelling-error %description -l en_US xrootd -> uproot, rooter, cheroot
2 packages and 0 specfiles checked; 0 errors, 8 warnings.
Comment 1 Mattias Ellert 2013-12-11 07:08:03 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======
Specfile uses %define instead of %global.
Some man pages have syntax errors (the intended ... is not displayed
whne viewed).

I am not sure why -DDOC_INSTALL_DIR=%{_docdir}/%{name}-%{version} is
used. The build does not install anything there, and by having it
there it looks like the package ignores the no versioned docdir
guideline. But since nothing is installed it doesn't cause a
guidelines violation. Just confusion.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.

The space before the dash is a bit strange. (I'm not sure if it counts
as a violation though.)

[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: EPEL5: Package does run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: EPEL5 requires explicit %clean with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)

Python:
[-]: Python eggs must not download any dependencies during the build process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[-]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[-]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed files.
[!]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %{!?python_sitelib: %define
     python_sitelib %(%{__python} -c "from distutils.sysconfig import
     get_python_lib; print get_python_lib()")}, %{!?python_sitearch: %define
     python_sitearch %(%{__python} -c "from distutils.sysconfig import
     get_python_lib; print get_python_lib(1)")}, %{!?python_version: %define
     python_version %(%{__python} -c "from sys import version_info;
     print('%d.%d'% (version_info[0],version_info[1]))")}
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: EPEL5 requires explicit Buildroot tag
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).

The spelling errors are not really error - just stuff notin the dictionary.
The complaints about the ... at the beginning of the lines should be fixed.

[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: gfal2-util-0.2.0-1.fc21.noarch.rpm
          gfal2-util-0.2.0-1.fc21.src.rpm
gfal2-util.noarch: W: spelling-error %description -l en_US gridFTP -> grid Ftp, grid-ftp, griddle
gfal2-util.noarch: W: spelling-error %description -l en_US http -> HTTP
gfal2-util.noarch: W: spelling-error %description -l en_US xrootd -> root
gfal2-util.noarch: W: manual-page-warning /usr/share/man/man1/gfal-mkdir.1.gz 24: warning: macro `..' not defined
gfal2-util.noarch: W: manual-page-warning /usr/share/man/man1/gfal-save.1.gz 22: warning: macro `..' not defined
gfal2-util.noarch: W: manual-page-warning /usr/share/man/man1/gfal-rm.1.gz 24: warning: macro `..' not defined
gfal2-util.src: W: spelling-error %description -l en_US gridFTP -> grid Ftp, grid-ftp, griddle
gfal2-util.src: W: spelling-error %description -l en_US http -> HTTP
gfal2-util.src: W: spelling-error %description -l en_US xrootd -> root
2 packages and 0 specfiles checked; 0 errors, 9 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint gfal2-util
gfal2-util.noarch: W: spelling-error %description -l en_US gridFTP -> grid Ftp, grid-ftp, griddle
gfal2-util.noarch: W: spelling-error %description -l en_US http -> HTTP
gfal2-util.noarch: W: spelling-error %description -l en_US xrootd -> root
gfal2-util.noarch: W: manual-page-warning /usr/share/man/man1/gfal-mkdir.1.gz 24: warning: macro `..' not defined
gfal2-util.noarch: W: manual-page-warning /usr/share/man/man1/gfal-save.1.gz 22: warning: macro `..' not defined
gfal2-util.noarch: W: manual-page-warning /usr/share/man/man1/gfal-rm.1.gz 24: warning: macro `..' not defined
1 packages and 0 specfiles checked; 0 errors, 6 warnings.
# echo 'rpmlint-done:'



Requires
--------
gfal2-util (rpmlib, GLIBC filtered):
    /usr/bin/python
    gfal2-python
    python(abi)
    python-argparse



Provides
--------
gfal2-util:
    gfal2-util



Source checksums
----------------
http://grid-deployment.web.cern.ch/grid-deployment/dms/lcgutil/tar/gfal2-util/gfal2-util-0.2.0.tar.gz :
  CHECKSUM(SHA256) this package     : b7b333b7601f04dd0345240b08993f3bf0cf6d139303b0fcf88dc7084ce8bfcf
  CHECKSUM(SHA256) upstream package : b7b333b7601f04dd0345240b08993f3bf0cf6d139303b0fcf88dc7084ce8bfcf


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -b 1027383 -m fedora-rawhide-x86_64 -D EPEL5
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG
Comment 2 Adrien Devresse 2013-12-12 09:14:28 EST
Hi Mattias,


New version with all reported problems corrected :

Spec URL: http://grid-deployment.web.cern.ch/grid-deployment/dms/lcgutil/reviews/gfal2-util.spec
SRPM URL: http://grid-deployment.web.cern.ch/grid-deployment/dms/lcgutil/reviews/gfal2-util-0.2.1-1.el6.src.rpm

Adrien
Comment 3 Mattias Ellert 2013-12-12 14:46:24 EST
Package approved.
Comment 4 Adrien Devresse 2013-12-12 17:13:59 EST
New Package SCM Request
=======================
Package Name: gfal2-util
Short Description: GFAL2 utility tools
Owners: adev
Branches: f18 f19 f20 el6 el5
InitialCC:
Comment 5 Gwyn Ciesla 2013-12-13 07:44:10 EST
Git done (by process-git-requests).
Comment 6 Fedora Update System 2013-12-13 08:40:22 EST
gfal2-util-0.2.1-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/gfal2-util-0.2.1-1.el5
Comment 7 Fedora Update System 2013-12-13 08:53:08 EST
gfal2-util-0.2.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/gfal2-util-0.2.1-1.el6
Comment 8 Fedora Update System 2013-12-13 09:17:36 EST
gfal2-util-0.2.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/gfal2-util-0.2.1-1.fc20
Comment 9 Fedora Update System 2013-12-13 09:51:37 EST
gfal2-util-0.2.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gfal2-util-0.2.1-1.fc19
Comment 10 Fedora Update System 2014-01-07 19:29:18 EST
gfal2-util-0.2.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 11 Fedora Update System 2014-01-07 19:29:52 EST
gfal2-util-0.2.1-1.el5 has been pushed to the Fedora EPEL 5 stable repository.
Comment 12 Fedora Update System 2014-01-08 02:47:24 EST
gfal2-util-0.2.1-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 13 Fedora Update System 2014-01-08 02:54:32 EST
gfal2-util-0.2.1-1.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.